import { ReactNode } from 'react';
import { PageNavigationItem } from './PageNavigationItem';
export declare function usePageNavigationRoutes(): {
    [key: string]: string;
};
export declare function usePageNavigationRoutesContext(): [{
    [key: string]: string;
}, (navigation: PageNavigationItem[]) => void];
export declare function PageNavigationRoutesProvider(props: {
    children: ReactNode;
}): import("react/jsx-runtime").JSX.Element;
